/**********************************************************************
*	FILE:	random.c
*	AUTHOR:	Christopher League
*	DATE:	15 March 1993
*	PURPOSE:
*	  Defines a global random number generator.
***********************************************************************/
 
#include "random.h"
 
/**********************************************************************
*	Declarations
***********************************************************************/
 
Randomizer Random;		// Global random number generator.

/**********************************************************************
*	FUNCTION:  Randomizer::Randomizer
*
*	PURPOSE:
*	  Constructor for the Randomizer class;  Seeds the random number
*	  generator.
***********************************************************************/
 
Randomizer::Randomizer (void)
{
  time (&seed);
  srand (seed);
}
 
